package com.ruoyi.jarvis.domain;

import java.util.Date;

/**
 * 线报群信息表 xb_group
 *
 * @author ruoyi
 */
public class XbGroup
{
    /** 主键ID */
    private Integer id;

    /** 群名称 */
    private String name;

    /** 微信群ID */
    private String wxid;

    /** 启用状态：0-禁用，1-启用 */
    private Integer isActive;

    /** 类型，1管理群，2评论群，3线报来源群，4线报推送群 */
    private Integer groupType;

    public String getGroupTypeName() {
        return groupTypeName;
    }

    public void setGroupTypeName(String groupTypeName) {
        this.groupTypeName = groupTypeName;
    }

    private String groupTypeName;

    /** 创建时间 */
    private Date createDate;

    /** 更新时间 */
    private Date updateDate;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getWxid() {
        return wxid;
    }

    public void setWxid(String wxid) {
        this.wxid = wxid;
    }

    public Integer getIsActive() {
        return isActive;
    }

    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    public Integer getGroupType() {
        return groupType;
    }

    public void setGroupType(Integer groupType) {
        this.groupType = groupType;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    @Override
    public String toString() {
        return "XbGroup{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", wxid='" + wxid + '\'' +
                ", isActive=" + isActive +
                ", groupType=" + groupType +
                ", createDate=" + createDate +
                ", updateDate=" + updateDate +
                '}';
    }
}
